ListEvents
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SystemLog.ListEvents(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SystemLogServiceListEventsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.systemLog.listEvents();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/systemlog/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"since": "2023-11-07T05:31:56Z",
"sinceEventUid": "<string>",
"until": "2023-11-07T05:31:56Z",
"untilEventUid": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/systemlog/events"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"since": "2023-11-07T05:31:56Z",
"sinceEventUid": "<string>",
"until": "2023-11-07T05:31:56Z",
"untilEventUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
since: '2023-11-07T05:31:56Z',
sinceEventUid: '<string>',
until: '2023-11-07T05:31:56Z',
untilEventUid: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/systemlog/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{}
],
"nextPageToken": "<string>"
}System Log
List Events
ListEvents pulls Events from the ConductorOne system.
This endpoint should be used to synchronize the system log events to external systems.
POST
/
api
/
v1
/
systemlog
/
events
ListEvents
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SystemLog.ListEvents(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SystemLogServiceListEventsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.systemLog.listEvents();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The SystemLogServiceListEventsRequest message.
The pageSize field.
The pageToken field.
The sinceEventUid field.
The sortDirection field.
Available options:
SORT_DIRECTION_UNSPECIFIED, SORT_DIRECTION_ASC, SORT_DIRECTION_DESC The untilEventUid field.
Was this page helpful?
⌘I